// pages/art/art.js
const app = getApp()
const util = require('../../utils/util.js');
const APIClient = require('../../utils/APIClient.js');
const login = require('../../utils/loginSchedule.js');

Page({
  data: {
    flag: false,
    productionData: {},
    questionsData: {},
    courseData: {},
    num1: 0,
    num2: 0,
    position: '',
    questionsdian: '',
    list: [],
    lessonListHeight: '',
    previewHeight: '',
    productionMore: '',
    questionsMore: '',
    wxObjectives: [],
    canvasHeight: ''
  },
  /* 区分答疑和分享 */
  distinction: function(type, columnId, pageNo, pageSize, success) {
    login.getOpenidSessionKey(function(res) {
      //console.log(res.data.data.uid);
      APIClient.getProductionSchedule({
        uid: res.data.data.uid
      }, {
        "type": type,
        "category": columnId,
        "pageNo": pageNo,
        "pageSize": pageSize
      }).success(success)
    }, function() {
      wx.showModal({
        title: '提示',
        content: '需要获取您的公开信息（昵称、头像等），请从小程序列表删除小学王者班后再次扫码进入，允许授权后可正常使用',
        showCancel: false,
        success: function (res) {
          if (res.confirm) {
            console.log('用户点击确定')
          } else if (res.cancel) {
            console.log('用户点击取消')
          }
        }
      })
    });
  },

  /*点击获取canvas高度*/
  onGetHeight: function (e) {
    const canvasHeight = this.selectComponent("#chat").data.canvasHeight;
    console.log(canvasHeight)
    this.setData({
      canvasHeight,
    })
  },

  /*点击查看更多*/
  onMyEvent: function(e){
    let type = e.currentTarget.dataset.type;
    const columnId = util.column('5').columnId;
    if(type == 1) {
      this.data.num1++
      this.setData({
        num1: this.data.num1
      })
      this.distinction(type, columnId, 1, 5*this.data.num1, res => {
        if(res.data.success) {
          console.log(res.data.data)
          this.setData({
            questionsData: res.data.data,
          })
          if(res.data.data) {
            this.setData({
              questionsdian: util.replyNo(res.data.data.list)
            })
            if(5*this.data.num1 > res.data.data.totalSize) {
              this.setData({
                questionsMore: ''
              })
            }
          }        
        }
      });
    }
    
    if(type == 2) {
      this.data.num2++
      this.setData({
        num: this.data.num2
      })
      this.distinction(type, columnId, 1, 5*this.data.num2, res => {
        if(res.data.success) {
          console.log(res.data.data)
          this.setData({
            productionData: res.data.data,
          })
          if(5*this.data.num2 > res.data.data.totalSize) {
            this.setData({
              productionMore: ''
            })
          }
        }
      });
    }
  },
  /*点击定位*/
  location: function (e) {
    const position = e.currentTarget.dataset.id;
    console.log(position)
    this.setData({
      position: position
    })
  },
  onLoad: function (options) {
    const columnId = util.column('5').columnId;
    /* 分享 */
    this.distinction(2, columnId, 1, 2, res => {
      if(res.data.success) {
        console.log(res.data.data)
        this.setData({
          productionData: res.data.data,
        }) 
        if(res.data.data) {
          if(res.data.data.totalSize > 2) {
            this.setData({
              productionMore: true
            })
          }
        }  
      }
      
    });
    /* 答疑 */
    this.distinction(1, columnId, 1, 2, res => {
      if(res.data.success) {
        console.log(res.data.data)
        this.setData({
          questionsData: res.data.data,
        })
        if(res.data.data) {
          this.setData({
            questionsdian: util.replyNo(res.data.data.list)
          })
          if(res.data.data.totalSize > 2) {
            this.setData({
              questionsMore: true
            })
          }
        }  
      }
    });
    /*科目信息*/
    login.getOpenidSessionKey((res) => {
      //console.log(res.data.data.uid);
      APIClient.getEachSchedule({
        uid: res.data.data.uid
      }, {
        "category": 5
      }).success((res) => {
        //console.log('科目信息' + JSON.stringify(res));
        const lessonListLength = res.data.data.lessonPage.list.length;
        const previewLength = res.data.data.lessonPage.list.length;
        if(lessonListLength > 4) {
          this.setData({
            lessonListHeight: 280
          })
        }
        if(previewLength > 4){
          this.setData({
            previewHeight: 280
          })
        } 
        this.setData({
          courseData: res.data.data,
          list: util.studyPageTime(res.data.data.lessonPage.list),
          wxObjectives: util.strategy(res.data.data.weekCourseConfig.wxObjectives)
        })
      })
    }, function() {
      wx.showModal({
        title: '提示',
        content: '需要获取您的公开信息（昵称、头像等），请从小程序列表删除小学王者班后再次扫码进入，允许授权后可正常使用',
        showCancel: false,
        success: function (res) {
          if (res.confirm) {
            console.log('用户点击确定')
          } else if (res.cancel) {
            console.log('用户点击取消')
          }
        }
      })
    });
   
  },

  onShow: function () {
    
  },
  /* 转发*/
  onShareAppMessage: function (ops) {
    if (ops.from === 'button') {
      // 来自页面内转发按钮
      console.log(ops.target)
    }
    const postId = ops.target.dataset.postid;
    return {
      title: '小学王者班',
      path: `pages/transmit/transmit?ind=6&postId=${postId}`,
      success: function (res) {
        // 转发成功
        console.log("转发成功:" + JSON.stringify(res));
      },
      fail: function (res) {
        // 转发失败
        console.log("转发失败:" + JSON.stringify(res));
      }
    }
  },
})

